{% extends 'base.html.twig' %}

{% block title %}
	{% include 'page/blocs/bloc-meta-title.html.twig' %}
{% endblock %}

{% block metaDescription %}
	{% include 'page/blocs/bloc-meta-description.html.twig' %}
{% endblock %}

{% block canonical %}{{ page is defined and page is not null ? getCanonicalUrlWithLink(page) : '' }}{% endblock %}

{% set registrationActivation = getDataEnumValue(constant('App\\Enum\\DataEnum::DATA_BACKEND_REGISTRATION_ACTIVATION_DEV_KEY')) %}

{% block body %}
	{% if app.user %}
		<div class="mb-3">
			You are logged in as
			{{ app.user.userIdentifier }},
			<a href="{{ path('logout') }}">Logout</a>
		</div>
	{% endif %}

	<h1 class="container my-3 mb-3 px-md-0">
		{{ pageElements.name }}
	</h1>
	<form method="post" class="container">
		<div>
			<div data-aos="fade-up" class="mb-3 p-0 col-lg-6 col-md-12 col-sm-12 mb-3">
				{% if error %}
					<div class="danger-alert">{{'section.form.error.message'|trans}}</div>
				{% endif %}
				<div class="container-form-item mt-2">
					<label for="inputEmail">{{'form.login.email'|trans}}</label>
					<input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control m-0" autocomplete="email" required autofocus>
				</div>
				<div class="container-form-item mt-2">
					<label for="inputPassword">{{'form.login.password'|trans}}</label>
					<input type="password" name="password" id="inputPassword" class="form-control m-0" autocomplete="current-password" required>
				</div>

				<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

				<div class="checkbox mb-3">
					<label>
						<input type="checkbox" name="_remember_me">
						{{'section.form.remember_me'|trans}}
					</label>
				</div>

				<div class="container-form-item mt-3">
					<button type="submit" class="btn btn-primary-custom w-100">
						{{'section.login.button'|trans}}
					</button>
				</div>

				{% if true == registrationActivation %}
					<div class="container-form-item mt-3">
						<a href="{{ path('backend_register') }}">S'enregistrer</a>
					</div>
				{% endif %}
			</div>
		</div>
	</form>
{% endblock %}
